/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2008 Hans Petter Jansson <hpj@novell.com>
 *
 * modifications (C) 2011 Guido Berhoerster <gber@opensuse.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#ifndef __OPENSUSE_SYSCONFIG_H
#define __OPENSUSE_SYSCONFIG_H

#include <glib-object.h>
#include <glib/gstdio.h>

G_BEGIN_DECLS

typedef enum {
        OPENSUSE_SYSCONFIG_ERROR_OPEN_FAILED,
        OPENSUSE_SYSCONFIG_ERROR_KEY_NOT_FOUND,
        OPENSUSE_SYSCONFIG_ERROR_INVALID_VALUE
} OpenSUSESysconfigError;

#define OPENSUSE_SYSCONFIG_ERROR (opensuse_sysconfig_error_quark ())

GQuark     opensuse_sysconfig_error_quark (void);

gchar    **opensuse_sysconfig_load_file (const gchar *file_name, GError **error);

gchar     *opensuse_sysconfig_get_string (const gchar **sysconfig, const gchar *key, GError **error);
gint       opensuse_sysconfig_get_int (const gchar **sysconfig, const gchar *key, GError **error);
gboolean   opensuse_sysconfig_get_boolean (const gchar **sysconfig, const gchar *key, GError **error);

G_END_DECLS

#endif /* __OPENSUSE_SYSCONFIG_H */
